Table of Contents

## Name

aupanel - allows user adjustment of Network Audio System device attributes

## Synopsis

aupanel [-audio servername] [-device id]

## Description

aupanel provides an X-based window-oriented interface allowing the user to adjust the attributes of the devices provided by the Network Audio System service.

## Options

The following options may be used with aupanel:

-audio servername
  This option specifies the Network Audio System server to contact.
-device id
  This option specifies the initially activated audio device on the server. If the id is a decimal number n, the n th device returned by the server is used. If it is a hexadecimal number (starting with 0x) it is used as the resource identifier of the desired device. Otherwise, id should be the exact device name (e.g. Stereo Channel Output). You can use auinfo to query an audioserver for this information.

Additionally, options from the Athena Widget Set can be used.

## Aupanel and the Athena Widget Set

aupanel uses the X Toolkit Intrinsics and the Athena Widget Set. For more information, see the Athena Widget Set documentation.

## Adjusting Device Attributes

To adjust the attributes of a device, select the desired device from the Devices menu. The device gain may be adjusted using the Gain slider. If applicable, the device input mode can be toggled between Line-In and Microphone by clicking on the appropriate box. If applicable, the device output mode can be selected by clicking on the Speaker, Headphone, and Line-Out boxes. Some output devices may support combinations of these selections.

To query the current device attributes, click on the Query button.

To mute (resp. unmute) the current device, click on the Mute button.

## Environment

In addition to the standard toolkit environment variables, the following environment variables are used by aupanel:

AUDIOSERVER
  This variable specifies the default audio server to contact if -audio is not specified on the command line. If this variable is not set and the -audio is not specified on the command line, aupanel will attempt to connect to the audio server running on the X Window System display.

## See Also

nas(1) , auctl(1) , auinfo(1) , X(1)

## Copyright

Copyright 1993, 1994 Network Computing Devices, Inc.

## Author

Greg Renda, Network Computing Devices, Inc.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Aupanel and the Athena Widget Set
- Adjusting Device Attributes
- Environment
- See Also
- Copyright
- Author